#include <ifmwindow>

int main()
{
  // define a 200 x 200 pixel window  
  IfmWindow w(200, 200, "LibWindow-Example");

  // read in a circle
  Circle c;
  w >> c;
  
  // print c and its bounding square
  w << yellow << c << red
    << Rectangle(c.x() - c.r(), c.y() - c.r(),
		 c.x() + c.r(), c.y() + c.r())
    << flush;

  // tracks mouse pointer
  Point p_last(c.x(), c.y());
  do {
    int x, y;
    w.get_mouse(x, y);
    w << blue << Line(p_last.x(), p_last.y(), x, y) << flush;
    p_last = Point(x, y);
  } while (!w.check_mouse_click());
}
